#include "../hardware.h"
static const char PROGMEM name_Red_LED[] = "Red_LED";
static const char PROGMEM name_Switch_Right[] = "Switch_Right";
static const char PROGMEM name_Switch_Left[] = "Switch_Left";
static const char PROGMEM name_sdCard[] = "sdCard";
static const char PROGMEM name_spiBus[] = "spiBus";
static const char PROGMEM name_USB[] = "USB";
static const char PROGMEM name_button[] = "button";
static const char PROGMEM unknown[] = "?";

#define NUM_DEVICES 7
static const void* PROGMEM tbl[]={
	&_Red_LED_, name_Red_LED,
	&_Switch_Right_, name_Switch_Right,
	&_Switch_Left_, name_Switch_Left,
	&_sdCard_, name_sdCard,
	&_spiBus_, name_spiBus,
	&__C_USB, name_USB,
	&_button_, name_button
	};

const char* getDeviceName(const void* device){
	const char* rtn = unknown;
	for(int i=0 ; i<NUM_DEVICES*2; i+=2){
		const void* addr = (const void*)pgm_read_word(&tbl[i]);
		if( addr == device){
			rtn = (const void*)pgm_read_word(&tbl[i+1]);
		}
	}
	return rtn;
}
